/*
 * CDDL HEADER START
 *
 * The contents of this file are subject to the terms of the
 * Common Development and Distribution License, Version 1.0 only
 * (the "License").  You may not use this file except in compliance
 * with the License.
 *
 * You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
 * or http://www.opensolaris.org/os/licensing.
 * See the License for the specific language governing permissions
 * and limitations under the License.
 *
 * When distributing Covered Code, include this CDDL HEADER in each
 * file and include the License file at usr/src/OPENSOLARIS.LICENSE.
 * If applicable, add the following below this CDDL HEADER, with the
 * fields enclosed by brackets "[]" replaced with your own identifying
 * information: Portions Copyright [yyyy] [name of copyright owner]
 *
 * CDDL HEADER END
 */

package uk.co.petertribble.solview.explorer;

import javax.swing.*;
import java.awt.BorderLayout;
import uk.co.petertribble.jkstat.api.JKstat;
import uk.co.petertribble.jkstat.demo.JKdemo;

public class JKmemAlloc extends JKdemo {

    private JKmemPanel kmPanel;

    private static final String sversion = "JKmemAlloc version 0.45";

    public JKmemAlloc() {
	super("jkmemalloc");

	// create main display panel
	JPanel mainPanel = new JPanel(new BorderLayout());

	// this is the main panel
	kmPanel = new JKmemPanel(new JKstat(), DEFAULT_INTERVAL);

	mainPanel.add(new JScrollPane(kmPanel));
	setContentPane(mainPanel);

	addInfoPanel(mainPanel, sversion);

	setSize(620, 250);
	validate();
	setVisible(true);
    }

    @Override
    public void setDelay(int i) {
	kmPanel.setDelay(i);
	setLabelDelay(i);
    }

    public static void main(String[] args) {
	new JKmemAlloc();
    }
}
